Bug 198243 - [PATCH] deskutils/growl-for-linux replace deprecated des_ methods with DES_
Summary: [PATCH] deskutils/growl-for-linux replace deprecated des_ methods with DES_
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nicola Stanislao Vitale
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-03 19:41 UTC by Bernard Spil
Modified: 2015-03-07 22:46 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
svn diff for deskutils/growl-for-linux (1.83 KB, patch)
2015-03-03 19:41 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-03 19:41:07 UTC
Created attachment 153728 [details]
svn diff for deskutils/growl-for-linux

OpenSSL has deprecated a large number of des_ methods and types on 24 October 2001 and released this 30 December 2002 with OpenSSL 0.9.7.
LibreSSL removed des_old completely, and the next release of OpenSSL (1.0.3) has also removed these compatibility macros.

Attached patch replaces the deprecated methods and types with the current ones (des_ to DES_ and adapt to method signature). This patch was accepted by the upstream project see https://github.com/mattn/growl-for-linux/pull/51
Comment 1 commit-hook freebsd_committer 2015-03-07 22:44:07 UTC
A commit references this bug:

Author: nivit
Date: Sat Mar  7 22:43:52 UTC 2015
New revision: 380720
URL: https://svnweb.freebsd.org/changeset/ports/380720

Log:
  - Replace the deprecated methods and types of OpenSSL with the current ones
    (des_ to DES_ and adapt to method signature). The patch was accepted by the
    upstream project see https://github.com/mattn/growl-for-linux/pull/51

  PR:	198243
  Submitted by:	Bernard Spil <spil.oss@gmail.com>

Changes:
  head/deskutils/growl-for-linux/files/patch-gol.c
Comment 2 Nicola Stanislao Vitale freebsd_committer 2015-03-07 22:46:57 UTC
Committed. Thanks for your contribution!